package com.wechi.adweb.bridge.google.gtm.service;

import com.wechi.adweb.bridge.exception.DataException;
import com.wechi.adweb.bridge.google.gtm.dto.GTMTriggerDTO;
import com.wechi.adweb.bridge.google.gtm.dto.GTMWorkspaceDTO;

import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

/**
 * @author wfansh
 */
@SpringBootTest
public class GTMServiceTest {

    @Autowired private GTMService gtmService;

    private final String containerResourceName = "accounts/6000226571/containers/196039856";

    private final String googleTagId = "G-LHFYWQKHJV";

    @Test
    void testTriggerAndTag() throws DataException {
        GTMWorkspaceDTO gtmWorkspace = gtmService.getDefaultWorkspace(containerResourceName);
        GTMTriggerDTO gtmTrigger = gtmService.createTrigger(gtmWorkspace.getResourceName());
        gtmService.createGoogleTag(gtmWorkspace.getResourceName(), gtmTrigger.getId(), googleTagId);
    }
}
